Splash-Pages
GET https://okk.link/api/splash-pages/
curl --request GET \
--url 'https://okk.link/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Das Feld, in dem gesucht werden soll. Erlaubte Werte: name. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Ergebnisse ab diesem Datum filtern. Format: Y-m-d H:i:s. |
| datetime_end | Optional String | Ergebnisse bis zu diesem Datum filtern. Format: Y-m-d H:i:s. |
| order_by | Optional String | Das Feld, nach dem Ergebnisse sortiert werden sollen. Erlaubte Werte: splash_page_id, datetime, last_datetime, name. |
| order_type | Optional String | Die Sortierung der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Integer | Die Seitennummer, für die du Ergebnisse abrufen möchtest. Standard ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse pro Seite angezeigt werden sollen. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 00:10:15"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/splash-pages?page=1",
"last": "https://okk.link/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/splash-pages?page=1"
}
}
GET https://okk.link/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 00:10:15"
}
}
POST https://okk.link/api/splash-pages
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| title | Optional String | - |
| logo | Optional Datei | - |
| favicon | Optional Datei | - |
| opengraph | Optional Datei | - |
| description | Optional String | - |
| secondary_button_name | Optional String | - |
| secondary_button_url | Optional String | - |
| custom_css | Optional String | - |
| custom_js | Optional String | - |
| ads_header | Optional String | - |
| ads_footer | Optional String | - |
| link_unlock_seconds | Optional Integer | - |
| auto_redirect | Optional Boolean | - |
curl --request POST \
--url 'https://okk.link/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://okk.link/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 00:10:15"
}
}
POST https://okk.link/api/splash-pages/{splash_page_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| title | Optional String | - |
| logo | Optional Datei | - |
| favicon | Optional Datei | - |
| opengraph | Optional Datei | - |
| description | Optional String | - |
| secondary_button_name | Optional String | - |
| secondary_button_url | Optional String | - |
| custom_css | Optional String | - |
| custom_js | Optional String | - |
| ads_header | Optional String | - |
| ads_footer | Optional String | - |
| link_unlock_seconds | Optional Integer | - |
| auto_redirect | Optional Boolean | - |
curl --request POST \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-09-17 00:10:15"
}
}
DELETE https://okk.link/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \